View Issue Details

IDProjectCategoryView StatusLast Update
13295Bug reports[All Projects] Survey takingpublic2018-02-06 12:00
Reportersnathan99 Assigned Toollehar  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.1.x 
Target VersionFixed in Version3.2.x 
Summary13295: Captcha message change request
Description

The Captcha message states

"Please enter the letters you see:"
97 - 7 =

A user actually tried to enter 97 - 7 and I cannot blame him/her because that is what the message says!

Is it possible to change it to something like "Solve the equation:"?

TagsNo tags attached.
Complete LimeSurvey version number (& build)limesurvey3.1.0+180124
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL Ver 14.14 Distrib 5.7.21, for Linux (x86_64)
Server OS (if known)5.7.21-0ubuntu0.16.04.1 - (Ubuntu)
Webserver software & version (if known)Apache/2.4.7 (Ubuntu)
PHP VersionPHP 5.5.9-1ubuntu4.4

Activities

ollehar

ollehar

2018-02-05 15:21

administrator   ~46261

Good idea.

ollehar

ollehar

2018-02-05 15:37

administrator   ~46262

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26352

Related Changesets

LimeSurvey: master 9fae8940

2018-02-05 15:37:30

ollehar

Details Diff
Fixed issue 13295: Better captcha instructions Affected Issues
13295
mod - application/views/survey/frontpage/captchaForm/form.php Diff File
mod - application/views/survey/frontpage/registerForm/form.php Diff File
mod - application/views/survey/frontpage/tokenForm/form.php Diff File
mod - application/views/survey/system/formItem/captcha.php Diff File
mod - themes/survey/vanilla/views/subviews/logincomponents/captcha.twig Diff File
mod - themes/survey/vanilla/views/subviews/logincomponents/token.twig Diff File
mod - themes/survey/vanilla/views/subviews/registration/register_form.twig Diff File

Issue History

Date Modified Username Field Change
2018-02-04 14:09 snathan99 New Issue
2018-02-05 15:21 ollehar Note Added: 46261
2018-02-05 15:21 ollehar Assigned To => ollehar
2018-02-05 15:21 ollehar Status new => assigned
2018-02-05 15:37 ollehar Changeset attached => LimeSurvey master 9fae8940
2018-02-05 15:37 ollehar Note Added: 46262
2018-02-05 15:37 ollehar Resolution open => fixed
2018-02-05 15:37 ollehar Status assigned => resolved
2018-02-06 12:00 ollehar Status resolved => closed
2018-02-06 12:00 ollehar Fixed in Version => 3.2.x